Add-Upsert-Read-Delete Demo
===========================

This demo will demonstrate on how to Add, Upsert, Read, and Delete a Customer.

To run the demo:

1. Install the OpenAir connector in Anypoint Studio.

2. Import the demo as an "External Project" in Anypoint Studio.

3. If the OpenAir Connector library is not in the project build path:
	a) Right-click the demo project and click Properties;
	b) In the left-pane, click on Java Build Path
	c) On the Libraries tab, click Add Library
	d) Select "Anypoint Connectors Dependencies" and search for OpenAir. Select it and click Finish to add it to the build path.
	
4. Fill in the credentials properties file called "openair-credentials.properties" located under "src/main/resources". 
You will need to provide your OpenAir  Company, Username, Password, ApiNamespace and ApiKey.  The ConnectionTimeout and ReadTimeOut are optional.

5. You can view the OpenAir SOAP Messages by setting the following log4j to DEBUG:
	<AsyncLogger name="org.mule.modules.openair" level="Info"/>
The log4j property file is located in the "src/main/resources" folder 

6. Run the demo application and hit the following URL in your browser: http://localhost:8081

7. Input the customer info in the provided text boxes and click the "Add Customer" button.

8. Modify the customer name and email in the provided text boxes under the "Upsert Customer" section and click the "Upsert Customer" button. Since the customer has been added
using the add operation, the upsert will modify the customer.  If the customer has not been added, the upsert operation will instead add the customer to OpenAir.

9. Retrieve the modified information of the customer, by clicking the "Read Customer" button. 

10. Click the "Delete Customer" button to delete the customer.
